Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZWizardBase Class Reference

The class eZWizardBase does. More...

## Public Member Functions
| __construct ( $tpl, &$module, $storageName=false)
| initialize ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| run ()
| process ()
| setMetaData ( $key, $value)
| metaData ( $key)
| hasMetaData ( $key)
| setVariable ( $key, $value)
& | variable ( $key)
| hasVariable ( $key)
| variableList ()
| cleanup ()
| previousStep ()
| nextStep ()
| savePersistentData ()

## Public Attributes
| $TPL
const | STAGE_PRE = 0
const | STAGE_POST = 1
| $ErrorList = array()
| $WarningList = array()
| $StepList = array()
| $HTTP
| $Tpl
| $Module
| $WizardURL = ''
| $VariableList = array()
| $MetaData = array()
| $StorageName = 'eZWizard'
| $MetaDataName = '_meta'
| $VariableListName = '_data'
| $StepTemplateBase = 'design:wizard/step'
| $StepArray = array()

## Private Member Functions
| preCheck ()
| postCheck ()
| skip ()
| stepTemplate ()

## Detailed Description

The class eZWizardBase does.

Definition at line 17 of file ezwizardbase.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZWizardBase::__construct | ( |  | $tpl,
|  | & | $module,
|  |  | $storageName = `false`
| ) |  |

Constructor

Parameters

  eZTemplate | $tpl |
  eZModule | $module |
  string | bool | $storageName |

Definition at line 33 of file ezwizardbase.php.

References initialize(), and eZHTTPTool\instance().

## Member Function Documentation

## ◆ attribute()

eZWizardBase::attribute | ( |  | $attr | ) |

Definition at line 81 of file ezwizardbase.php.

References $ErrorList, $WarningList, $WizardURL, stepTemplate(), variableList(), and eZDebug\writeError().

## ◆ attributes()

eZWizardBase::attributes | ( |  | ) |

Definition at line 65 of file ezwizardbase.php.

Referenced by hasAttribute().

## ◆ cleanup()

eZWizardBase::cleanup | ( |  | ) |

Cleanup variables used during wizard

Definition at line 320 of file ezwizardbase.php.

## ◆ hasAttribute()

eZWizardBase::hasAttribute | ( |  | $attr | ) |

Definition at line 76 of file ezwizardbase.php.

References attributes().

## ◆ hasMetaData()

eZWizardBase::hasMetaData | ( |  | $key | ) |

Check if has metadata value

Definition at line 251 of file ezwizardbase.php.

Referenced by initialize().

## ◆ hasVariable()

eZWizardBase::hasVariable | ( |  | $key | ) |

Check if wizard variable exists

Parameters

  $key | key of the variable

Returns
  variable value

Definition at line 291 of file ezwizardbase.php.

## ◆ initialize()

eZWizardBase::initialize | ( |  | ) |

Set needed variables.

Definition at line 52 of file ezwizardbase.php.

References hasMetaData(), setMetaData(), and STAGE_PRE.

Referenced by __construct().

## ◆ metaData()

eZWizardBase::metaData | ( |  | $key | ) |

Get metadata

Definition at line 243 of file ezwizardbase.php.

Referenced by nextStep(), previousStep(), run(), and stepTemplate().

## ◆ nextStep()

eZWizardBase::nextStep | ( |  | ) |

Increate Step counter

Definition at line 343 of file ezwizardbase.php.

References metaData(), savePersistentData(), setMetaData(), STAGE_POST, and STAGE_PRE.

Referenced by run().

## ◆ postCheck()

eZWizardBase::postCheck | ( |  | ) |
| private

\virtual Post check current step to check that it's safe to continue to next step. Return false if current step should be processed once again, and set warning message

Returns
  true if everything ok false if not

Definition at line 192 of file ezwizardbase.php.

Referenced by run().

## ◆ preCheck()

eZWizardBase::preCheck | ( |  | ) |
| private

\virtual Pre check current step to check that it's safe to execute current step. Return false if current step should not be processed, and set warning message

Returns
  true if everything ok false if not

Definition at line 178 of file ezwizardbase.php.

Referenced by run().

## ◆ previousStep()

eZWizardBase::previousStep | ( |  | ) |

Go back to previous step

Definition at line 331 of file ezwizardbase.php.

References metaData(), savePersistentData(), setMetaData(), and STAGE_PRE.

Referenced by run().

## ◆ process()

eZWizardBase::process | ( |  | ) |

\virtual Process the current step, and present the HTML.

Returns
  Module Result

Definition at line 222 of file ezwizardbase.php.

Referenced by run().

## ◆ run()

eZWizardBase::run | ( |  | ) |

Will run the wizard, and continue from the current step. This method will run postCheck, redirect to next, etc. depending on the current state.

return Module Result or module redirect.

Definition at line 135 of file ezwizardbase.php.

References metaData(), nextStep(), postCheck(), preCheck(), previousStep(), process(), skip(), STAGE_POST, and STAGE_PRE.

## ◆ savePersistentData()

eZWizardBase::savePersistentData | ( |  | ) |

Save persistent data

Definition at line 363 of file ezwizardbase.php.

Referenced by nextStep(), previousStep(), setMetaData(), and setVariable().

## ◆ setMetaData()

eZWizardBase::setMetaData | ( |  | $key,
|  |  | $value
| ) |  |

Store meta data.

Parameters

  key |
  value |

Definition at line 232 of file ezwizardbase.php.

References savePersistentData(), and eZDebug\writeNotice().

Referenced by initialize(), nextStep(), and previousStep().

## ◆ setVariable()

eZWizardBase::setVariable | ( |  | $key,
|  |  | $value
| ) |  |

Store variable. Variable/value will be available in current and next wizard steps.

Parameters

  key |
  value |

Definition at line 262 of file ezwizardbase.php.

References savePersistentData().

## ◆ skip()

eZWizardBase::skip | ( |  | ) |
| private

\virtual Return true to skip current step. Current step will not be processed.

Returns
  true skip current step. false - perform current step.

Definition at line 211 of file ezwizardbase.php.

Referenced by run().

## ◆ stepTemplate()

eZWizardBase::stepTemplate | ( |  | ) |
| private

Get Step template name.

Returns
  current step template

Definition at line 312 of file ezwizardbase.php.

References metaData().

Referenced by attribute().

## ◆ variable()

& eZWizardBase::variable | ( |  | $key | ) |

Get stored wizard values.

Parameters

  key |

Returns
  value

Definition at line 275 of file ezwizardbase.php.

## ◆ variableList()

eZWizardBase::variableList | ( |  | ) |

Return variable list.

Returns
  variable list

Definition at line 301 of file ezwizardbase.php.

References $VariableList.

Referenced by attribute().

## Member Data Documentation

## ◆ $ErrorList

eZWizardBase::$ErrorList = array()

Definition at line 370 of file ezwizardbase.php.

Referenced by attribute().

## ◆ $HTTP

eZWizardBase::$HTTP

Definition at line 376 of file ezwizardbase.php.

## ◆ $MetaData

eZWizardBase::$MetaData = array()

Definition at line 383 of file ezwizardbase.php.

## ◆ $MetaDataName

eZWizardBase::$MetaDataName = '_meta'

Definition at line 385 of file ezwizardbase.php.

## ◆ $Module

eZWizardBase::$Module

Definition at line 378 of file ezwizardbase.php.

## ◆ $StepArray

eZWizardBase::$StepArray = array()

Definition at line 392 of file ezwizardbase.php.

## ◆ $StepList

eZWizardBase::$StepList = array()

Definition at line 374 of file ezwizardbase.php.

## ◆ $StepTemplateBase

eZWizardBase::$StepTemplateBase = 'design:wizard/step'

Definition at line 389 of file ezwizardbase.php.

## ◆ $StorageName

eZWizardBase::$StorageName = 'eZWizard'

Definition at line 384 of file ezwizardbase.php.

## ◆ $TPL

eZWizardBase::$TPL

Definition at line 22 of file ezwizardbase.php.

## ◆ $Tpl

eZWizardBase::$Tpl

Definition at line 377 of file ezwizardbase.php.

## ◆ $VariableList

eZWizardBase::$VariableList = array()

Definition at line 382 of file ezwizardbase.php.

Referenced by variableList().

## ◆ $VariableListName

eZWizardBase::$VariableListName = '_data'

Definition at line 386 of file ezwizardbase.php.

## ◆ $WarningList

eZWizardBase::$WarningList = array()

Definition at line 371 of file ezwizardbase.php.

Referenced by attribute().

## ◆ $WizardURL

eZWizardBase::$WizardURL = ''

Definition at line 379 of file ezwizardbase.php.

Referenced by attribute().

## ◆ STAGE_POST

const eZWizardBase::STAGE_POST = 1

Definition at line 24 of file ezwizardbase.php.

Referenced by nextStep(), and run().

## ◆ STAGE_PRE

const eZWizardBase::STAGE_PRE = 0

Definition at line 23 of file ezwizardbase.php.

Referenced by initialize(), nextStep(), previousStep(), and run().

The documentation for this class was generated from the following file:

- ezwizardbase.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.